import CMS from "@staticcms/core";
import { useEffect } from "react";

import config from "./config";

interface PostData {
  title: string;
  date: string;
  body: string;
}

const CMSPage = () => {
  useEffect(() => {
    if (process.env.NODE_ENV === "development") {
      config.local_backend = true;
    }
    
    CMS.init({ config });
  }, []);

  return (
    <div>
      <style jsx global>{`
        html,
        body {
          height: 100%;
        }

        #__next {
          display: none;
        }
      `}</style>
    </div>
  );
};

CMSPage.displayName = "CMSPage";

export default CMSPage;
